////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// Glaskugel                                                                  //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2002-2004 by Christian Hesse                                 //
// Distributed under the terms of the GNU General Public License v2           //
////////////////////////////////////////////////////////////////////////////////

#declare i = 0;
#declare iend = 45;
difference
{
 blob
 {
  threshold 0.3
  #while (i <= iend)
   #declare j = 0;
   #while (j < 5)
    sphere
    {
     <0, 6.1, 0>, 0.3, 1 scale <1+3*i/iend, 1, 1+4*i/iend>
     rotate <0, 0, i*90/iend> rotate <0, i*180/iend+j*72, 0>
    }
    #if (i < iend)
     sphere
     {
      <0, -6.1, 0>, 0.3, 1 scale <1+3*i/iend, 1, 1+4*i/iend>
      rotate <0, 0, i*90/iend> rotate <0, 36-(i*180/iend+j*72), 0>
     }
    #end
    #declare j = j + 1;
   #end
   #declare i = i + 1;
  #end
  translate <0, 35, 0>
 }
 sphere { <0, 35, 0>, 6 }
 texture { T_Grnt20 }
}

sphere
{
 <0, 35, 0>, 6
 finish { phong 0.7 reflection 0.1 } interior { ior 1.46 } pigment { White filter 1 }
}
light_source { <0, 40, 0> color <0, 0.7, 0> fade_distance 10 fade_power 5 }
